package it.ltdev.loadpdfinbackgroundexample;

import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;

import com.github.barteksc.pdfviewer.PDFView;

import java.io.File;

/**
 * Created by ltdev on 30/03/18.
 */
public class PdfLoaderTask extends AsyncTask {
    private static final String TAG = PdfLoaderTask.class.getSimpleName();

    private boolean success = false;
    private String filePath = null;
    private PDFView pdfView = null;
    private boolean loadFromAsset = true;

    public void setParams(String filePath, boolean loadFromAsset, PDFView pdfView) {
        this.filePath = filePath;
        this.pdfView = pdfView;
        this.loadFromAsset = loadFromAsset;
    }

    @Override
    protected Object doInBackground(Object[] objects) {
        PDFView.Configurator conf = null;
        if (loadFromAsset){
            Log.i(TAG, "Loading from assets: "+filePath);
            conf = pdfView.fromAsset(filePath);
        } else {
            Log.i(TAG, "Loading from storage: "+filePath);
            final File pdfFile = new File(filePath);
            Log.i(TAG, "PDF file exists = "+String.valueOf(pdfFile.exists()));
            if (pdfFile.exists()) {
                conf = pdfView.fromFile(pdfFile);
            }
        }

        conf.enableSwipe(true)
                .enableDoubletap(true)
                .swipeHorizontal(false)
                .defaultPage(1)
                .enableAnnotationRendering(false)
                .password(null)
                .load();
        success=true;

        return null;
    }


    @Override
    protected void onPostExecute(Object o) {
        super.onPostExecute(o);
        if (success){
            Log.i(TAG, "PDF file loaded");
        } else {
            Log.i(TAG, "PDF file NOT loaded");
        }
    }
}
